package com.backendsys.aspect;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface RateLimiting {
    // 缓存key
    String key() default "RateLimiting";
    // 限流时间 (秒) (默认1秒)
    int duration() default 1;
    // 限流次数 (默认1秒5次)
    int limit() default 5;
    // 锁定时长 (秒) (5秒)
    int lockDuration() default 5;
}
